Name:		msgpack
Version:	3.1.0
Release:	3%{?dist}
Summary:	Binary-based efficient object serialization library

License:	Boost
URL:		http://msgpack.org
Source0:	https://github.com/msgpack/msgpack-c/releases/download/cpp-%{version}/%{name}-%{version}.tar.gz
Patch:		0001-Fixed-724.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  doxygen
# for %%check
BuildRequires:	gtest-devel
BuildRequires:	zlib-devel

%description
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.


%package devel
Summary:	Libraries and header files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Libraries and header files for %{name}


%prep
%autosetup -p1


%build
if test ! -e "obj"; then
  mkdir obj
fi
pushd obj

%cmake .. -DCMAKE_INSTALL_LIBDIR=%{_libdir} -Dlibdir=%{_libdir} -DBUILD_SHARED_LIBS=ON
%make_build

popd

%check
pushd obj
# https://github.com/msgpack/msgpack-c/issues/697
export GTEST_FILTER=-object_with_zone.ext_empty
make test || {
    cat Testing/Temporary/LastTest.log;
    exit 1;
}
popd


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C obj

%ldconfig_scriptlets


%files
%{!?_licensedir:%global license %doc}
%license LICENSE_1_0.txt COPYING
%doc AUTHORS ChangeLog NOTICE README README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/msgpack.pc
%{_libdir}/cmake/msgpack


%changelog
* Tue Nov 19 2019 Kentaro Hayashi <kenhys@gmail.com> - 3.1.0-3
- Initial release for EPEL8 (branched from f28 master)

